Ruby: Data Fields

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - g -

- g : BigStruct, cls_struct_64byte, cls_struct_7byte, cls_struct_align, struct_108byte, struct_116byte, struct_72byte, thread_create_params
- gc_invoke_time : gc_profile_record
- gc_stress : ruby_gc_params_t
- gc_stress_mode : rb_objspace
- gc_stressful : rb_objspace
- gc_sweep_start_time : rb_objspace
- gc_time : gc_profile_record
- gen : dh_blocking_gen_arg, tr
- generation : allocation_info
- get_bytes : rb_random_interface_t
- get_case_fold_codes_by_str : OnigEncodingTypeST
- get_ctype_code_range : OnigEncodingTypeST
- get_func : rb_memory_view_entry_t
- get_int32 : rb_random_interface_t
- get_real : rb_random_interface_t
- gets : parser_params
- gets_ : parser_params
- getter : rb_global_variable
- gg : BigStruct
- gi : unz64_s
- gid : rb_execarg, tar_header
- gid_given : rb_execarg
- giga_count : timetick
- global_buffer : ibf_dump, ibf_load
- global_cc_cache_table : rb_vm_struct
- global_list : rb_objspace
- global_object_list_offset : ibf_header
- global_object_list_size : ibf_header
- global_trace_events : rb_iseq_struct
- globalcomment : zip64_internal
- gname : tar_header
- gnum : OnigToken
- good_length : config_s
- good_match : internal_state
- goto_check : cparse_params
- goto_default : cparse_params
- goto_pointer : cparse_params
- goto_table : cparse_params
- gp_regs : ia64_args
- gpos : OnigMatchArg
- granularity : malloc_params
- greedy : OnigToken, QtfrNode
- group : chown_args, thgroup
- group_num : CallNode
- growth_factor : ruby_gc_params_t
- growth_max_slots : ruby_gc_params_t
- gvl : native_thread_data_struct, rb_ractor_struct
- gvlq : native_thread_data_struct
- gzfilebuf() : gzfilebuf
- gzfilestream_common() : gzfilestream_common
- gzhead : internal_state
- gzifstream : gzfilestream_common, gzifstream
- gzindex : internal_state
- gzip : deflate_index
- gzofstream : gzfilestream_common, gzofstream
- gzomanip() : gzomanip< T >
- gzomanip2() : gzomanip2< T1, T2 >